# The LaTeX package incgraph - version 1.2.0 (2021/10/20)


> Copyright (c) 2012-2021 by Prof. Dr. Dr. Thomas F. Sturm <thomas dot sturm at unibw dot de>

> This work may be distributed and/or modified under the
> conditions of the LaTeX Project Public License, either version 1.3
> of this license or (at your option) any later version.
> The latest version of this license is in
>   http://www.latex-project.org/lppl.txt
> and version 1.3 or later is part of all distributions of LaTeX
> version 2005/12/01 or later.

> This work has the LPPL maintenance status `author-maintained`.

> This work consists of all files listed in README.md


`incgraph` provides tools for including graphics on full paper size. The graphics
can be centered for a given paper format or the paper may be resized to the
graphics dimensions. The main use case for the package `incgraph` is to transform
one or many scans or taken pictures to a PDF document. It can also be applied
for full paper size *LaTeX* created graphics. The package `incgraph` provides a tool
box with basic macros and a convenience user interface which wraps the
well-known `includegraphics`. Also, bookmarking is especially supported.


## Contents of the package

-  `README.md`                 this file
-  `CHANGES.md`                log of changes (history)
-  `incgraph.sty`              LaTeX package file (style file)
-  `incgraph.pdf`              documentation for csvsimple
-  `incgraph.tex`              source code of the documentation
-  `incgraph-doc.sty`          style file of the documentation
-  `incgraph-example-a.tex`    example file A for package usage
-  `incgraph-example-a.pdf`    compiled example A
-  `incgraph-example-b.tex`    example file B for package usage
-  `incgraph-example-b.pdf`    compiled example B
-  `incgraph-example-c.tex`    example file C for package usage
-  `incgraph-example-c.pdf`    compiled example C
-  `example.jpg`               example image file
-  `exaimage-0001.png`         example image file
-  `exaimage-0037.png`         example image file
-  `exaimage-0123.png`         example image file


## Installation

Copy the contents of the `incgraph.tds.zip` from CTAN to your local TeX file tree.

Alternatively, put the files to their respective locations within the TeX installation:

-  `incgraph.sty`         ->  /tex/latex/incgraph
-  all other files        ->  /doc/latex/incgraph
